function naznaceni(index,part,vysH,handles)     %index=hodnota radku v listboxu
                                        %part= cast zapasu
                                        %vysH= struktura vysledku
pocetvysledku=1+2;  %je to pocet radku jednoho vysledku +2 je jeden radek na cas a druhy na mezeru
time=vysH(part).time;
result=vysH(part).res;
hvizd=vysH(part).hvizd;

indexy=find(hvizd==ones(1,length(hvizd))); %najdu indexy toho kde byl detekovan hvizd;

ind=floor((index-1)/pocetvysledku)+1;

if indexy>0
    od=indexy(ind)-2;
    do=od+28;
end
% do=indexy(rozdil)+2;
% if indexy(rozdil)<30
%     do=31;
%     od=1;
% else
%     od=do-30;
% end

% plot(handles.axes1,time/60,result,'k',time(od:do)/60,result(od:do),'r');
bar(handles.axes1,time/60,result,'k');
hold on 
plot(handles.axes1,time(od:do)/60,result(od:do),'r');
hold off
    
    
    
    